package xyz.etztech.qol.commands;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.NamespacedKey;
import xyz.etztech.qol.EtzTechUtil;
import xyz.etztech.qol.Lang;
import xyz.etztech.qol.QoL;

public class KaratTrophyCommand implements CommandExecutor {

    QoL plugin;

    public KaratTrophyCommand(QoL plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String args[]) {
        if (!commandSender.hasPermission("qol.karat_trophy")) {
            EtzTechUtil.sms(commandSender, Lang.NO_PERMISSION.getDef());
            return true;
        }

        Player argPlayer = Bukkit.getPlayer(args[0]);

        if (argPlayer == null) {
            EtzTechUtil.sms(commandSender, ChatColor.RED + "No player found.");
            return true;
        }

        final Player player = argPlayer;
        EtzTechUtil.sms(commandSender, ChatColor.GREEN + "Awarding 24 Karat Trophy to " + player.getName());

        NamespacedKey adv = new NamespacedKey("carrotcraft", "24_karat_trophy");

        player.getAdvancementProgress(Bukkit.getAdvancement(adv)).awardCriteria("win");

        return true;
    }
}
